Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
servermon::ServerMonitor::ServerPowerControlInitiatedEvent Struct Reference

Event: A power control operation was initiated. More...

Inheritance diagram for servermon::ServerMonitor::ServerPowerControlInitiatedEvent:

## Public Attributes
int | id
| id of the server
string | host
| Server hostname/IP address.
boolean | on
| True if server shall be switched on, false otherwise.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A power control operation was initiated.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl